networks:
  chromadb-net:
    external: true
services:
  client:
    container_name: chromadb-client
    image: harbor.ainergy.ru/chromadb/client:latest
    ports:
      - "3333:8000"
    env_file:
      - .env
    restart: unless-stopped
    networks:
      - chromadb-net
  server:
    container_name: chromadb-server
    image: harbor.ainergy.ru/chromadb/server:latest
    volumes:
      - ./data:/chroma/data
    environment:
      - IS_PERSISTENT=TRUE
      - PERSIST_DIRECTORY=/chroma/data
      - ANONYMIZED_TELEMETRY=FALSE
    restart: unless-stopped
    networks:
      - chromadb-net
  cron:
    container_name: cron-chroma
    image: harbor.ainergy.ru/chromadb/cron:latest
    volumes:
      - ./cron/logs:/logs
      - ./data:/app/data
    depends_on:
      - server
      - client
    env_file:
      - .env
    restart: unless-stopped